Index: src/utils/qa/checkMetaAday.csh
===================================================================
RCS file: /projects/compbio/cvsroot/kent/src/utils/qa/checkMetaAday.csh,v
retrieving revision 1.2
retrieving revision 1.3
diff -b -B -U 1000000 -r1.2 -r1.3
--- src/utils/qa/checkMetaAday.csh	19 Nov 2007 21:33:13 -0000	1.2
+++ src/utils/qa/checkMetaAday.csh	11 Apr 2009 00:37:01 -0000	1.3
@@ -1,37 +1,38 @@
 #!/bin/tcsh
+source `which qaConfig.csh`
 
 ################################
 #  
 #  02-24-07
 #  Robert Kuhn
 #
 #  checks metadata for the database of the day.
 #
 ################################
 
 
 
 if ( $#argv != 1 ) then
   echo
   echo "  checks metadata for the database of the day."
   echo
   echo "    usage:  go"
   echo
   exit
 endif
 
 if ( "$HOST" != "hgwdev" ) then
  echo "\n error: you must run this script on dev!\n"
  exit 1
 endif
 
 set outPath='/usr/local/apache/htdocs/qa/test-results/metadata'
 cd $outPath/details
 rm -f $outPath/details/*
 set db=`databaseAday.csh today`
 rm -f $outPath/$db
 checkMetaData.csh $db hgwbeta rr >> $outPath/$db
 echo "\n   details in \
   http://hgwdev.cse.ucsc.edu/qa/test-results/metadata/details\n" \
   >> $outPath/$db
 cat $outPath/$db 