Index: src/utils/qa/syncAday.csh
===================================================================
RCS file: /projects/compbio/cvsroot/kent/src/utils/qa/syncAday.csh,v
retrieving revision 1.6
retrieving revision 1.7
diff -b -B -U 1000000 -r1.6 -r1.7
--- src/utils/qa/syncAday.csh	11 Mar 2009 17:19:52 -0000	1.6
+++ src/utils/qa/syncAday.csh	11 Apr 2009 00:37:05 -0000	1.7
@@ -1,40 +1,41 @@
 #!/bin/tcsh
+source `which qaConfig.csh`
 
 ################################
 #  
 #  02-24-07
 #  Robert Kuhn
 #
 #  runs sync on the database of the day.
 #
 ################################
 
 
 
 if ( $#argv != 1 ) then
   echo
   echo "  runs sync on the database of the day."
   echo "  replaces file in htdocs if run again same day."
   echo
   echo "    usage:  go"
   echo
   exit
 endif
 
 if ( "$HOST" != "hgwdev" ) then
  echo "\n error: you must run this script on dev!\n"
  exit 1
 endif
 
 set basePath='/usr/local/apache/htdocs/qa/test-results/sync'
 set db=`databaseAday.csh today`
 rm -f $basePath/$db
 echo "\n$db\n" >> $basePath/$db
 checkSync.csh $db times >> $basePath/$db
 checkSync.csh $db hgw1 hgw2 times >> $basePath/$db
 checkSync.csh $db hgw3 hgw4 times >> $basePath/$db
 checkSync.csh $db hgw5 hgw6 times >> $basePath/$db
 checkSync.csh $db hgw7 hgw8 times >> $basePath/$db
 cat $basePath/$db
 echo "http://hgwdev.cse.ucsc.edu/qa/test-results/sync/$db" | mail -s "sync for today" $USER@soe.ucsc.edu
 